<?php
namespace App\Test\TestCase\Model\Table;

use App\Model\Table\SchooltypesTable;
use Cake\ORM\TableRegistry;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\SchooltypesTable Test Case
 */
class SchooltypesTableTest extends TestCase
{

    /**
     * Test subject
     *
     * @var \App\Model\Table\SchooltypesTable
     */
    public $Schooltypes;

    /**
     * Fixtures
     *
     * @var array
     */
    public $fixtures = [
        'app.schooltypes',
        'app.departments',
        'app.supervisings',
        'app.examinations',
        'app.subjects'
    ];

    /**
     * setUp method
     *
     * @return void
     */
    public function setUp()
    {
        parent::setUp();
        $config = TableRegistry::exists('Schooltypes') ? [] : ['className' => 'App\Model\Table\SchooltypesTable'];
        $this->Schooltypes = TableRegistry::get('Schooltypes', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    public function tearDown()
    {
        unset($this->Schooltypes);

        parent::tearDown();
    }

    /**
     * Test initialize method
     *
     * @return void
     */
    public function testInitialize()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test validationDefault method
     *
     * @return void
     */
    public function testValidationDefault()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
